CppUnit project page | FAQ

Classes | Macros
TestNamer.h File Reference
`#include <cppunit/Portability.h>`
`#include <string>`
`#include <cppunit/tools/StringHelper.h>`
`#include <typeinfo>`
Include dependency graph for TestNamer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | TestNamer
| Names a test or a fixture suite. More...

## Macros
#define | CPPUNIT_TESTNAMER_DECL(variableName, FixtureType) CPPUNIT_NS::TestNamer variableName( typeid(FixtureType) )
| Declares a TestNamer.

## Macro Definition Documentation

## ◆ CPPUNIT_TESTNAMER_DECL

#define CPPUNIT_TESTNAMER_DECL | ( |  | variableName,
|  |  | FixtureType ) CPPUNIT_NS::TestNamer variableName( typeid(FixtureType) )

Declares a TestNamer.

Declares a TestNamer for the specified type

void someMethod()
{
CPPUNIT_TESTNAMER_DECL( namer, AFixtureType );
std::string fixtureName = namer.getFixtureName();
...
CPPUNIT_TESTNAMER_DECL
#define CPPUNIT_TESTNAMER_DECL(variableName, FixtureType)
Declares a TestNamer.
Definition TestNamer.h:28

See also
  TestNamer

| Send comments to: CppUnit Developers